Subject: (ngtrans) Re: reverse delegation under ip6.arpa.?

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Mon, 03 Dec 2001 14:45:13 +0900

(Based on a suggestion from Randy, I'm cc'ing this message to the
dnsop and ngtrans MLs.  I've dropped namedroppers but still keep the
ipng ML.  Please refer to the attached message to follow the thread
context.)

>>>>> On Fri, 30 Nov 2001 16:45:44 -0800 (PST), 
>>>>> Bill Manning <[email-masked]> said:

> % I'd also like to know the current policy on this.  The current status
> % is really confusing and can be a serious barrier to deploy IPv6.
> % 
> % Honestly, if we are allowed to live with the current spec
> % (i.e. ip6.int. with the nibble format), I'll be really happy.
> % However, the transition to ip6.arpa is inevitable, we should be ready
> % for this as soon as possible, both in operation and in implementation.

> The IETF policy is clear. ip6.arpa.  It is also true that this policy was
> not based on any technical grounds. That said, the IETF has also depricated
> RIP.  And there are still some questions about the bitstring format vs nibble
> format.  So I intend to continue to use the proven format for now, at least
> until there are strong technical reasons to migrate.

Let me confirm, do you mean the bitstring vs nibble format by the
"proven format", or does it include the upper domain (i.e. ip6.int. vs
ip6.arpa.)?

Anyway, through the responses so far, I feel we must definitely move
to ip6.arpa. (regardless of the bitstring vs nibble issue).  The
migration should cause additional pain to deploy IPv6, but, with the
reality, we should start the migration now...

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

Subject: reverse delegation under ip6.arpa.?
From: JOIN Project Team <[email-masked]>
To: [email-masked]
Date: Wed, 28 Nov 2001 09:35:53 +0100

Hello, 

recently I was very surprised, when I found that there is an existing 
ip6.arpa. domain, where the reverse IPv6 nibble format is delegated to 
the registries. 

I found no mail or announcement anywhere that from now on ip6.arpa should be 
used for the reverse nibble format. Is that a fact, or is ip6.arpa just a 
global testing scenario that is confusing me?

I know that ip6.arpa should be used instead of ip6.int for political reasons, 
but I always expected to stay the nibble format in ip6.int and the bit-string 
labels to appear in ip6.arpa someday. 

Well, ok, now that the bit-string labels are to be changed to experimental, 
that might be not possible anymore. But I'm not sure if it such a good idea 
to just change the zones. 

Right now there is a well established and well working tree under ip6.int.
If there will grow a second tree under ip6.arpa now, things might become 
very confusing. 
As a resolver, I don't know if I have to lookup the name for my IPv6 address 
starting with .arpa or starting .int. If I lookup in the wrong tree, I might 
get no answer, while the correct one is in the other tree. Yes, I could 
lookup in both trees, but if the answers differ, which one is the correct one?

Is there a solution for this? What is the current policy? Maybe I am confused
because I missed something?

So long,
     Christian

-- 
JOIN - IP Version 6 in the WiN  Christian Schild
                 A DFN project  Westfaelische Wilhelms-Universitaet Muenster
Project Team email:             Zentrum fuer Informationsverarbeitung
          [email-masked]  Roentgenstrasse 9-13
http://www.join.uni-muenster.de D-48149 Muenster / Germany
email: [email-masked],phone: +49 251 83 31638, fax: +49 251 83 31653

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Randy Bush <[email-masked]>
Date: Mon, 03 Dec 2001 05:31:39 -0800

> "proven format", or does it include the upper domain (i.e. ip6.int. vs

the two issues are entirely orthogonal.  one can have any type of RR in any
zone.  e.g. it is only the external semantics which says that an MX record
makes no sense in in-addr.arpa.

the ip6.arpa infrastructure is being set up, and the transition looks easy,
but we should be prudent and give software a couple of years to catch up.
luckily, the v6 community keeps pretty current on software.

the bitstring label issue has been pretty much gone around in ngtrans and
dnsop, and i belive the drafts deprecating bitstring labels are working
their way through process (but have not checked my tracking system to see
where they are).

> reality, we should start the migration now...

agreed.  but the pain is minimal.  note that, initially, the content of
ip6.arpa is directly that of ip6.int.  in fact, one could have the same
zone file pointed to by both names.  the big pain in the transition is
that of the registries, whois, etc.  and they've been working on this
for some months.

randy

---

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Tue, 04 Dec 2001 13:06:52 +0900

>>>>> On Mon, 03 Dec 2001 05:31:39 -0800, 
>>>>> Randy Bush <[email-masked]> said:

> agreed.  but the pain is minimal.

Since resolver implementations that do not use ip6.arpa have been
widely deployed, I don't think the pain is minimal.  I'm afraid we
should maintain both ip6.arpa. and ip6.int. for same contents forever.

But...,

> note that, initially, the content of
> zone file pointed to by both names.

yes, that's the way that I configured ip6.arpa zones in my v6 network.

> the big pain in the transition is

I know, I realized some portion of the ip6.arpa (nibble) domain has
already been delegated.

So, while I still don't think the migration overhead is minimal, it
seems to me that all I have to do now is to implement new resolver
code, deploy it, and start operation with ip6.arpa.  If the migration
is inevitable, we cannot delay it.

					JINMEI, Tatuya

---

From: Alain Durand <[email-masked]>
Date: Mon, 03 Dec 2001 20:33:34 -0800

At 01:06 PM 12/4/2001 +0900, JINMEI Tatuya / 

>is inevitable, we cannot delay it.

The earlier the better.

         - Alain.

---

From: "Jim Fleming" <[email-masked]>
Date: Tue, 4 Dec 2001 01:08:23 -0600

----- Original Message -----
From: <JINMEI Tatuya / $B?@L@C#:H (B <[email-masked]>)>
To: "Randy Bush" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Monday, December 03, 2001 10:06 PM
Subject: Re: (ngtrans) Re: reverse delegation under ip6.arpa.?

> [email-masked]

This sounds like one of those technical topics for the ICANN Names Council.

Jim Fleming
http://www.dot-biz.com/IPv4/Tutorial/
http://www.IPv8.info
IPv16....One Better !!

---

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Wed, 05 Dec 2001 12:31:38 +0900

> that of the registries, whois, etc.  and they've been working on this

As for the registry side transition, I have another question.  I saw
delegations for 2001:0200::/24 to APNIC.  What is the current status
about 3ffe::/16?  Is there a plan to delegate ip6.arpa. sub domains
for that block?

					JINMEI, Tatuya

---

From: Bill Manning <[email-masked]>
Date: Wed, 5 Dec 2001 06:39:03 -0800

I don't know whom the appropriate people are, but as the
	administrator of the existing ipv6 delegations other than
	the RIR ones, I would have hoped to have been included in
	the process. This is the first I've heard of such a meeting.

On Wed, Dec 05, 2001 at 02:03:32PM +0100, Bruce Campbell wrote:
> On Wed, 5 Dec 2001, JINMEI Tatuya wrote:
> 
> This is not known, and no delegation exists in ip6.arpa for the 6bone
> (e.f.f.3.ip6.arpa).  The focus so far in ip6.arpa delegation process has
> been on the RIR delegations.  I have forwarded the question to the
> appropriate people who will be meeting during IETF-52, and an answer
> should be available then.  ( I'm actually not attending this IETF )
> 
> One *possible* and easy solution would be to DNAME the e.f.f.3.ip6.arpa to
> e.f.f.3.ip6.int ( I'm ignoring technical issues of having to first
> delegate f.f.3.ip6.arpa to a DNAME-capable set of nameservers first ).
> 
> This has the good side of preserving current functionality when the
> deployed resolver bas looks at ip6.arpa instead of ip6.int.  It has the
> down side of effectively limiting 6bone to using 'ip6.int' as you cannot
> then DNAME back into the ip6.arpa tree.  Somehow I don't think that such a
> restriction is what the 6bone community wants.
> 
> No matter what technical tricks are down further up in the tree by the
> RIRs/ICANN etc, the change in the root ip6 tree *will* require *all*
> currently deployed delegations to make *some* sort of change.
> 
> Regards,
> 
> -- 
>                              Bruce Campbell                            RIPE
>                                                                         NCC
>                                                                  Operations

---

From: Bruce Campbell <[email-masked]>
Date: Wed, 5 Dec 2001 14:03:32 +0100 (CET)

Regards,

-- 
                             Bruce Campbell                            RIPE
                                                                        NCC
                                                                 Operations

---

From: George Michaelson <[email-masked]>
Date: Wed, 05 Dec 2001 22:22:01 +1000

> 					[email-masked]

Like all the RIR, I have created stub ip6.arpa space for the APNIC
allocation. If you would like to 'clone' any ip6.int records you may
manage, I would be happy to assist.

Maybe we can trial what should be the procedure?

(I was reluctant to simply copy all existing ip6.int records over, because
 of the volume of lame delegations which would result. I was hoping there
 might be an 'early adopter' out there who can also do codemods to make
 the reverse lookup do the right thing.)

Please contact me off-list so we can progress this, and maybe bring something
more substantive back to the list(s)?

I will be at IETF-52, I am happy to discuss this kind of operational issue
if it helps people progress.

cheers
	-George
--
George Michaelson       |  APNIC
Email: [email-masked]    |  PO Box 2131 Milton QLD 4064
Phone: +61 7 3367 0490  |  Australia
  Fax: +61 7 3367 0482  |  http://www.apnic.net